Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# CPAN::Nox

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# CPAN::Nox

- NAME
- SYNOPSIS
- DESCRIPTION
- LICENSE
- SEE ALSO

# NAME

CPAN::Nox - Wrapper around CPAN.pm without using any XS module

# SYNOPSIS

Interactive mode:

      perl -MCPAN::Nox -e shell;

# DESCRIPTION

This package has the same functionality as CPAN.pm, but tries to prevent the usage of compiled extensions during its own execution. Its primary purpose is a rescue in case you upgraded perl and broke binary compatibility somehow.

# LICENSE

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

# SEE ALSO

CPAN

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- LICENSE
- SEE ALSO